html {
	font-family: var(--font-family);
	font-size: var(--font-size-base);
}

body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
}

.slideshow {
	position: relative;
	width: 800px;
	height: 550px;
}

.slideshow__slides {
	width: 100%;
	height: 100%;
}

.slideshow__slide {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: none;
}

.slideshow__slide--visible {
	display: block;
}

.slideshow__img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.slideshow__control-button {
	position: absolute;
	top: 50%;
	height: 2.2rem;
	width: 2.2rem;
	background-color: var(--color-variation-3);
	border-radius: 0%;
	padding: 0.2rem;
	cursor: pointer;
}

.previous {
	left: 0.5rem;
}

.next {
	right: 0.5rem;
}

.slideshow__control-button:hover {
	background-color: rgba(0,0,0,0.7);
}

.slideshow__dots {
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translateX(-50%);
	display: flex;
	flex-flow: row nowrap;
	gap: 0.2rem;
	padding: 0.2rem;
}

.slideshow__dot {
	display: block;
	background: var(--color-variation-1);
	border-radius: 100%;
	width: 0.8rem;
	height: 0.8rem;
}

.slideshow__dot:focus, .slideshow__dot:active {
	background: var(--color-variation-3);
}

.slideshow__caption {
	position: absolute;
	bottom: 0;
	left: 0;
	background-color: var(--color-variation-3);
	padding: 1rem;
	color: var(--color-variation-2);
}

.slideshow__counter {
	position: absolute;
	font-size: var(--font-size-small);
	top: 0.5rem;
	left: 0.5rem;
	color: var(--color-variation-2);
	background-color: var(--color-variation-3);
	padding: 0.5rem;
	z-index: 5;
}